require 'httparty'

require "smtpcom/sendapi/version"
require "smtpcom/sendapi/request"
require "smtpcom/sendapi/utils"
require "smtpcom/sendapi/api_resource"
require "smtpcom/sendapi/campaign"
require "smtpcom/sendapi/template"
require "smtpcom/sendapi/email"
require "smtpcom/sendapi/sender"
require "smtpcom/sendapi/real_time_reporting"
require "smtpcom/sendapi/clicks_report"
require "smtpcom/sendapi/opens_report"
require "smtpcom/sendapi/sends_report"
require "smtpcom/sendapi/stats_summary"

module Smtpcom
  module Sendapi
    @api_host = 'http://sendapi.smtp.com'
    @api_base = '/transsend/api'

    class << self
      attr_accessor :api_key, :api_host, :api_base
    end
  end
end
